import es
import popuplib
import cmdlib

info = es.AddonInfo()
info.author      = "Jackmaster"
info.name        = "OnlineAdmins"
info.basename    = "OnlineAdmins"
info.version     = "1.0"


onlineadmins = {}

def Readvips():
	addonpath = es.getAddonPath(info.basename).replace("\\", "/")
	userfile = open(addonpath + '/admins.txt', 'rb')
	userdata = userfile.read()
	userfile.close()
	return userdata.split('\n')
	
	
def load():
	global onlineadmins
	onlineadmins["admins"] = {}
	es.msg("#multi", "#green%s#lightgreen by#default %s#lightgreen loaded."% (info.name, info.author))
	cmdlib.registerSayCommand('!admins', OnlineAdmins, '..')
	for userid in es.getUseridList():
		player_activate({"userid":userid})
	
def unload():
	es.msg("#multi", "#green%s#lightgreen by#default %s#lightgreen unloaded."% (info.name, info.author))
	cmdlib.unregisterSayCommand('!admins')
	
	
def player_activate(ev):
	uid = ev["userid"]
	sid = es.getplayersteamid(uid)
	if sid in Readvips():
		onlineadmins["admins"][sid] = {}
		
def player_disconnect(ev):
	global onlineadmins
	uid = ev["userid"]
	sid = es.getplayersteamid(uid)
	if sid in Readvips():
		del(onlineadmins["admins"][sid])
		
		
def OnlineAdmins(userid, args):
	n = es.getplayername(userid)
	s = es.getplayersteamid(userid)
	Adminpop = popuplib.easymenu('Adminpop', None, pop_cho)
	Adminpop.settitle('Online Admins:')
	for a in onlineadmins["admins"]:
		uid = es.getuserid(a)
		name = es.getplayername(uid)
		Adminpop.addoption(name, name)
		
	Adminpop.send(userid)
	
	
def pop_cho(userid, choice, popupid):
	pass